Package org.gradle.api.artifacts

## Class ResolveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.internal.exceptions.DefaultMultiCauseException
          - - org.gradle.api.artifacts.ResolveException

- All Implemented Interfaces:
    `java.io.Serializable`, `org.gradle.internal.exceptions.MultiCauseException`, `org.gradle.internal.exceptions.NonGradleCauseExceptionsHolder`, `org.gradle.internal.exceptions.ResolutionProvider`

      public class ResolveException
      extends org.gradle.internal.exceptions.DefaultMultiCauseException

  A `ResolveException` is thrown when dependency resolution fails for some reason.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolveException​(java.lang.String resolveContext, java.lang.Iterable<? extends java.lang.Throwable> causes)` |
    `ResolveException​(java.lang.String resolveContext, java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.gradle.internal.exceptions.DefaultMultiCauseException

      `getCause, getCauses, getMessage, getResolutions, hasCause, initCause, initCauses, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolveException

          public ResolveException​(java.lang.String resolveContext,
                                  java.lang.Throwable cause)

    - #### ResolveException

          public ResolveException​(java.lang.String resolveContext,
                                  java.lang.Iterable<? extends java.lang.Throwable> causes)